/**Begin D:\softwaresetup\PDM_UPGRADE\PDM1\FPM_table.sql **/
 EXEC p_AlterColumn 'T_FPM_REPORTDATADETAIL', 'FDETAILEXT1', 'NVARCHAR(255)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_FPM_REPORTDATADETAIL', 'FDETAILEXT5', 'NVARCHAR(255)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_FPM_REPORTDATADETAIL', 'FDETAILEXT3', 'NVARCHAR(255)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_FPM_REPORTDATADETAIL', 'FDETAILEXT2', 'NVARCHAR(255)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_FPM_REPORTDATADETAIL', 'FDETAILEXT4', 'NVARCHAR(255)', 'NOT NULL', '0100', ''' ''';

 EXEC p_AlterColumn 'T_FPM_REPORTDATADETAIL', 'FDETAILEXT6', 'NVARCHAR(255)', 'NOT NULL', '0100', ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FPM_REPORTDATADETAIL' AND KSQL_COL_NAME IN ('FDETAILEXT7')) 
 ALTER TABLE T_FPM_REPORTDATADETAIL ADD (FDETAILEXT7 NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FPM_REPORTDATADETAIL' AND KSQL_COL_NAME IN ('FDETAILEXT8')) 
 ALTER TABLE T_FPM_REPORTDATADETAIL ADD (FDETAILEXT8 NVARCHAR(255) DEFAULT ' ' NOT NULL );

/**End D:\softwaresetup\PDM_UPGRADE\PDM1\FPM_table.sql **/
